<bugID>377500<Summary>Result is broken if two bookmarks items have the same URL but with different titles</Summary><Description>Result is broken if two bookmarks items have the same URI but with different titles, at least if they're listed under the same container.

It seems like the title of the first bookmark in the container is used for all bookmark items with the same URL.</Description></bugID>